/*== Metrix AX1320 & AX2320 DC POWER SUPPLY Include File =================================*/

/*== GLOBAL CONSTANT DECLARATIONS =========================================*/

#define AX2320_MAX_INSTR        10

/*== GLOBAL FUNCTION DECLARATIONS =========================================*/
short ax2320_init (short, short, short, short *);
short ax2320_set_mode (short, short, short,short, short);
short ax2320_set_voltage (short, short, double );
short ax2320_set_current (short, short, double );
short ax2320_set_over_voltage (short, short, double);
short ax2320_read_voltage (short, short, short, double *);
short ax2320_read_current (short, short, short, double *);
short ax2320_read_over_voltage (short, short, double *);
short ax2320_read (short, short, char *, short *);
short ax2320_write (short, char *);
short ax2320_reset (short);
short ax2320_revision_query (short, char *, char *);
short ax2320_error_query (short, short *, char *);
short ax2320_close (short);
/*=============================== END =====================================*/
